 function r_weapon_upgrade(r_level, r_prelevel, r_modifier, r_count, r_time,r_order) 
	local r_prerequisites = {"fmrx_ammo_damage_upgrade-" .. r_prelevel}
		if r_prelevel == "0" then
			r_prerequisites = {"steel-processing"}
		end
			
	local result =
	{
    type = "technology",
    name = "fmrx_ammo_damage_upgrade-" .. r_level,
    icon = "__FMRx__/graphics/tech/weapon_upgrade.png",
	icon_size = "128",
	
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "a_gun",
        modifier = r_modifier
      },
	  {
        type = "ammo-damage",
        ammo_category = "a_siege_turret",
        modifier = r_modifier
      },
	  {
        type = "ammo-damage",
        ammo_category = "t55_ammo",
        modifier = r_modifier
      },
	  {
        type = "ammo-damage",
        ammo_category = "dev_ammo",
        modifier = r_modifier
      },
	  {
        type = "ammo-damage",
        ammo_category = "a_energy",
        modifier = r_modifier
      }	  
    },
    prerequisites = r_prerequisites,
    unit =
    {
      count = r_count,
      ingredients =
      {
        {"t_resource_1", 1}
      },
      time = r_time
    },
    upgrade = true,
    order = "s-b-" .. r_order
  }
 
return result
end  
 
 data:extend({
 
 
r_weapon_upgrade("1","0", 0.1, 50, 30,"a"),
r_weapon_upgrade("2","1", 0.1, 125, 30,"b"),
r_weapon_upgrade("3","2", 0.1, 200, 30,"c"),
r_weapon_upgrade("4","3", 0.1, 275, 30,"d"),
r_weapon_upgrade("5","4", 0.1, 400, 30,"e"),

r_weapon_upgrade("6","5", 0.2, 450, 45,"f"),
r_weapon_upgrade("7","6", 0.2, 500, 45,"g"),
r_weapon_upgrade("8","7", 0.2, 550, 45,"h"),
r_weapon_upgrade("9","8", 0.2, 600, 45,"i"),
r_weapon_upgrade("10","9", 0.2, 650, 45,"j"),

r_weapon_upgrade("11","10", 0.4, 700, 60,"k"),
r_weapon_upgrade("12","11", 0.4, 900, 60,"l")
  
--[[  {
    type = "technology",
    name = "unknown_ore_research",
    icon = "__FMRx__/graphics/tech/t_unknown_ore_research.png",
	icon_size = "128",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "unknown_ore_dust"
      }
    },
    unit =
    {
      count = 200,
      ingredients =
      {
         {"science-pack-1", 1}
      },
      time = 30
    },
    order = "a-a"	
  }  ]]--
})